Subject: bug#35739: Bad signature from GNU ELPA

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 May 2019 10:36:36 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 24 May 2019 15:51:28 -0400
> 
> > I'm okay with documenting what that produces somewhere
> 
> That would be a big help,

Where would you like this to be documented?

Btw, in two different messages in this thread you mentioned two
different situations.  One is this:

> document what it means to insert decoded text into a unibyte buffer

The other is this:

> I don't know what decoding text into a unibyte buffer will do

The former seems to imply the following:

  (with-current-buffer BUFFER
    (set-buffer-multibyte nil)
    (insert (decode-coding-string STRING CODING-SYSTEM)))

while the latter implies this:

  (with-current-buffer BUFFER
    (set-buffer-multibyte nil))
  (decode-coding-string STRING CODING-SYSTEM nil BUFFER)

The results of these 2 use cases are not the same.

So I don't yet have a clear idea what exactly you want to be
documented.  In particular, what 'insert' does in the 1st use case
seems to be documented in its doc string, but maybe that is not
enough?